
TYPO3.Flow - Bug # 6780

Status: Resolved Priority: Must have
Author: Georg Ortner Category: Resource
Created: 2010-03-11 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: ResourceViewHelper wrong path to persisted resources  
Description

Template code:
<img src="{f:uri.resource(resource: article.image.originalResource, title: article.image.title)}" style="max-width: 100%"
alt="{article.image.title}" />

Result:
<img src="http://mydomain.dev/_Resources/Persistent/78f83c09f79a0951591566bd464c590deb5f9218/.jpg" style="max-width: 100%"
alt="" />

There is one slash too much before the extension:
78f83c09f79a0951591566bd464c590deb5f9218/.jpg

Associated revisions
Revision 33118977 - 2010-03-11 22:14 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Resource): When publishing persistent resources NULL for the title is now ignored as well, fixes #6780.

History
#1 - 2010-03-11 10:44 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2010-03-11 21:16 - Karsten Dambekalns
- Estimated time set to 1.00

#3 - 2010-03-11 22:12 - Karsten Dambekalns

If the title is NULL it will give the result you see.

#4 - 2010-03-11 23:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3932.
